# Intake

## Apps

Types:

```python
from nemo_platform.types.intake import App, AppFilter, AppParam, AppSortField, AppUpdate, AppsPage
```

Methods:

- client.intake.apps.create(\*, workspace, \*\*params) -> None
- client.intake.apps.retrieve(name, \*, workspace) -> App
- client.intake.apps.list(\*, workspace, \*\*params) -> SyncDefaultPagination[App]
- client.intake.apps.delete(name, \*, workspace) -> None
- client.intake.apps.patch(name, \*, workspace, \*\*params) -> App

### Tasks

Types:

```python
from nemo_platform.types.intake.apps import (
    Task,
    TaskFilter,
    TaskParam,
    TaskSortField,
    TaskUpdate,
    TasksPage,
)
```

Methods:

- client.intake.apps.tasks.create(path_name, \*, workspace, \*\*params) -> Task
- client.intake.apps.tasks.retrieve(name, \*, workspace, app) -> Task
- client.intake.apps.tasks.list(name, \*, workspace, \*\*params) -> SyncDefaultPagination[Task]
- client.intake.apps.tasks.delete(name, \*, workspace, app) -> None
- client.intake.apps.tasks.patch(name, \*, workspace, app, \*\*params) -> Task

## Entries

Types:

```python
from nemo_platform.types.intake import (
    Entry,
    EntryContext,
    EntryContextFilter,
    EntryData,
    EntryDataParam,
    EntryFilter,
    EntryParam,
    EntrySortField,
    EntryUpdate,
    EntryUserRatingFilter,
    EntrysPage,
    EvaluatorResultEvent,
    FlexibleEntryRequest,
    FlexibleEntryRequestParam,
    FlexibleEntryResponse,
    FlexibleMessage,
    MessageRole,
    ReviewerAnnotationEvent,
    ThumbDirection,
    Usage,
    UserActionEvent,
    UserFeedbackEvent,
    UserRating,
)
```

Methods:

- client.intake.entries.create(\*, workspace, \*\*params) -> Entry
- client.intake.entries.retrieve(name, \*, workspace) -> Entry
- client.intake.entries.list(\*, workspace, \*\*params) -> SyncDefaultPagination[Entry]
- client.intake.entries.delete(name, \*, workspace) -> None
- client.intake.entries.patch(name, \*, workspace, \*\*params) -> Entry

### Events

Types:

```python
from nemo_platform.types.intake.entries import EventsCreateRequest
```

Methods:

- client.intake.entries.events.create(name, \*, workspace, \*\*params) -> Entry
- client.intake.entries.events.delete(name, \*, workspace, entry) -> Entry

## EvaluatorResults

Types:

```python
from nemo_platform.types.intake import (
    EvaluatorResult,
    EvaluatorResultDataType,
    EvaluatorResultFilter,
    EvaluatorResultParam,
    EvaluatorResultSortField,
    EvaluatorResultsPage,
    FloatFilter,
)
```

Methods:

- client.intake.evaluator_results.create(\*, workspace, \*\*params) -> EvaluatorResult
- client.intake.evaluator_results.retrieve(evaluator_result_id, \*, workspace) -> EvaluatorResult
- client.intake.evaluator_results.list(\*, workspace, \*\*params) -> SyncDefaultPagination[EvaluatorResult]

## Exports

Types:

```python
from nemo_platform.types.intake import (
    ExportConfigParam,
    ExportPreviewRequest,
    ExportPreviewResponse,
)
```

Methods:

- client.intake.exports.preview(\*, workspace, \*\*params) -> ExportPreviewResponse

### Jobs

Types:

```python
from nemo_platform.types.intake.exports import (
    ExportConfig,
    ExportJob,
    ExportJobFilter,
    ExportJobParam,
    ExportJobSortField,
    ExportJobsPage,
    ExportStatusDetails,
    JobStatus,
)
```

Methods:

- client.intake.exports.jobs.create(\*, workspace, \*\*params) -> ExportJob
- client.intake.exports.jobs.retrieve(name, \*, workspace) -> ExportJob
- client.intake.exports.jobs.list(\*, workspace, \*\*params) -> SyncDefaultPagination[ExportJob]

## Ingest

### Atif

Types:

```python
from nemo_platform.types.intake.ingest import (
    AtifAgent,
    AtifContentPart,
    AtifContentPartImage,
    AtifContentPartText,
    AtifFinalMetrics,
    AtifImageSource,
    AtifIngestRequest,
    AtifIngestResponse,
    AtifMetrics,
    AtifObservation,
    AtifObservationResult,
    AtifStep,
    AtifStepAgent,
    AtifStepSystem,
    AtifStepUser,
    AtifSubagentTrajectoryRef,
    AtifToolCall,
)
```

Methods:

- client.intake.ingest.atif.create(\*, workspace, \*\*params) -> AtifIngestResponse

### Otlp

#### V1

##### Traces

Types:

```python
from nemo_platform.types.intake.ingest.otlp.v1 import IngestResponse
```

Methods:

- client.intake.ingest.otlp.v1.traces.create(\*, workspace) -> IngestResponse

## Spans

Types:

```python
from nemo_platform.types.intake import (
    Span,
    SpanFilter,
    SpanKind,
    SpanSortField,
    SpanStatus,
    SpansPage,
)
```

Methods:

- client.intake.spans.retrieve(span_id, \*, workspace) -> Span
- client.intake.spans.list(\*, workspace, \*\*params) -> SyncDefaultPagination[Span]

### EvaluatorResults

Types:

```python
from nemo_platform.types.intake.spans import EvaluatorResultListResponse
```

Methods:

- client.intake.spans.evaluator_results.list(span_id, \*, workspace) -> EvaluatorResultListResponse
